
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #676

Windows - Freezes while playing audio

November 12, 2016 00:42 - - -

Status: Closed Start date: November 12, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: win32 Estimated time: 0.00 hour

Target version: 3.8.1   

Affects version: 3.8   

Description

Hi. Audacious freezes randomly while playing audio.

To be more specific, I am using the Winamp skin and with EQ on.

Audio playing were Vorbis and SPC files.

No other customization done.

This does not happen in the older versions where SDL was used for audio output, so I guess it has something to do with the new

Win32 waveOut audio output plugin.

Cheers,

History

#1 - November 13, 2016 15:58 - John Lindgren

- File waveout.dll added

Can you try this patched version and see if it fixes the lockup?  Replace the existing file:

<installation folder>/lib/audacious/Output/waveout.dll

#2 - November 15, 2016 08:04 - - -

Hi. Thank you for your time.

The file has been downloaded and replaced. Audacious is doing fine at the moment (15 minutes after replacement), though testing for such issue

takes time and luck.

Thanks.

#3 - November 16, 2016 14:52 - John Lindgren

- Category set to win32

- Status changed from New to Closed

- Target version changed from 3.9 to 3.8.1

- % Done changed from 0 to 100

- Affects version 3.8 added

- Affects version deleted (3.9)
Files

waveout.dll 81.8 KBNovember 13, 2016 John Lindgren
